/*
 * 作成日: 2005/02/03
 *
 */
package jp.co.ntt.lms.xmo.Lo.lom;

import java.io.Serializable;

/**
 * LOM情報最小単位データ
 * @author t-sugawara
 */
public class EntryDataUnit implements Serializable {

    /** DB内部ノードのパス */
    private String nodeString;
    /** 項目名 */
    private String name;
    /** 項目値 */
    private String value;
    /** 入力タイプ（選択項目かどうか） */
    private boolean choices;
    
    /**
     * コンストラクタ
     * @param nodeString DB内部ノードのパス
     * @param name 項目名
     * @param value 項目値
     * @param choices 入力タイプ
     */
    public EntryDataUnit(String nodeString, String name, String value, boolean choices) {
        this.nodeString = nodeString;
        this.name = name;
        this.value = value;
        this.choices = choices;
    }

    /**
     * 項目名を取得します。
     * @return 項目名
     */
    public String getName() {
        return name;
    }
    
    /**
     * 入力タイプを取得する。
     * @return 入力タイプ
     */
    public boolean isChoices() {
        return choices;
    }

    /**
     * DB内部ノードのパスを取得します。
     * @return DB内部ノード表記
     */
    public String getNodeString() {
        return nodeString;
    }

    /**
     * 項目値を取得します。
     * @return 項目値
     */
    public String getValue() {
        return value;
    }

    /**
     * <p>デバッグ用。</p>
     * <p>EntryDataUnitの内容を文字列として返します。
     * </p>
     * @return デバッグ用出力文
     */
    public String toString() {
        StringBuffer buff = new StringBuffer();
        buff.append("\n").append("nodeString:").append(nodeString);
        buff.append("\n").append("Name:").append(name);
        buff.append("\n").append("value:").append(value);
        buff.append("\n").append("InputType:").append(choices).append("\n");
        
        return buff.toString();
    }
}
